import { describe, it, expect } from "vitest";
import { findOUtlier } from "./findOUtlier.ts";

describe("findOUtlier", () => {

  it("findOUtlier should be 1 for [0, 1, 2]", () => {
    expect(findOUtlier([0, 1, 2])).toEqual(1);
  });

  it("findOUtlier shoud return 2 for [1, 2, 3]", () => {
    expect(findOUtlier([1, 2, 3])).toEqual(2)
  });

  it("findOUtlier shoud return 3 for [2, 6, 8, 10, 3]", () => {
    expect(findOUtlier([2, 6, 8, 10, 3])).toEqual(3)
  });

  it("findOUtlier shoud return 3 for [0, 0, 3, 0, 0]", () => {
    expect(findOUtlier([0, 0, 3, 0, 0])).toEqual(3)
  });

  it("findOUtlier shoud return 0 for [1, 1, 0, 1, 1]", () => {
    expect(findOUtlier([1, 1, 0, 1, 1])).toEqual(0)
  });

});
